package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevGasShieldMapper;
import com.ruoyi.project.patrol.dev.domain.TDevGasShield;
import com.ruoyi.project.patrol.dev.service.ITDevGasShieldService;

/**
 * CO2气体保护系统Service业务层处理
 * 
 * @author admin
 * @date 2023-11-01
 */
@Service
public class TDevGasShieldServiceImpl implements ITDevGasShieldService 
{
    @Autowired
    private TDevGasShieldMapper tDevGasShieldMapper;

    /**
     * 查询CO2气体保护系统
     * 
     * @param id CO2气体保护系统主键
     * @return CO2气体保护系统
     */
    @Override
    public TDevGasShield selectTDevGasShieldById(Long id)
    {
        return tDevGasShieldMapper.selectTDevGasShieldById(id);
    }

    /**
     * 查询CO2气体保护系统列表
     * 
     * @param tDevGasShield CO2气体保护系统
     * @return CO2气体保护系统
     */
    @Override
    public List<TDevGasShield> selectTDevGasShieldList(TDevGasShield tDevGasShield)
    {
        return tDevGasShieldMapper.selectTDevGasShieldList(tDevGasShield);
    }

    /**
     * 新增CO2气体保护系统
     * 
     * @param tDevGasShield CO2气体保护系统
     * @return 结果
     */
    @Override
    public int insertTDevGasShield(TDevGasShield tDevGasShield)
    {
        return tDevGasShieldMapper.insertTDevGasShield(tDevGasShield);
    }

    /**
     * 修改CO2气体保护系统
     * 
     * @param tDevGasShield CO2气体保护系统
     * @return 结果
     */
    @Override
    public int updateTDevGasShield(TDevGasShield tDevGasShield)
    {
        return tDevGasShieldMapper.updateTDevGasShield(tDevGasShield);
    }

    /**
     * 批量删除CO2气体保护系统
     * 
     * @param ids 需要删除的CO2气体保护系统主键
     * @return 结果
     */
    @Override
    public int deleteTDevGasShieldByIds(Long[] ids)
    {
        return tDevGasShieldMapper.deleteTDevGasShieldByIds(ids);
    }

    /**
     * 删除CO2气体保护系统信息
     * 
     * @param id CO2气体保护系统主键
     * @return 结果
     */
    @Override
    public int deleteTDevGasShieldById(Long id)
    {
        return tDevGasShieldMapper.deleteTDevGasShieldById(id);
    }
}
